io.vertx.reactivex.kafka.admin

## Class KafkaAdminClient

- java.lang.Object
- - io.vertx.reactivex.kafka.admin.KafkaAdminClient

-     public class KafkaAdminClient
      extends Object

  Vert.x Kafka Admin client implementation

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<KafkaAdminClient>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KafkaAdminClient(KafkaAdminClient delegate)`
    `KafkaAdminClient(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close the admin client
    `void` | `close(Handler<AsyncResult<Void>> completionHandler)` Close the admin client
    `void` | `close(long timeout, Handler<AsyncResult<Void>> completionHandler)` Close the admin client
    `static KafkaAdminClient` | `create(Vertx vertx, Map<String,String> config)` Create a new KafkaAdminClient instance
    `void` | `createTopics(List<NewTopic> topics, Handler<AsyncResult<Void>> completionHandler)` Creates a batch of new Kafka topics
    `void` | `deleteConsumerGroupOffsets(String groupId, Set<TopicPartition> partitions, Handler<AsyncResult<Void>> completionHandler)` Delete committed offsets for a set of partitions in a consumer group.
    `void` | `deleteConsumerGroups(List<String> groupIds, Handler<AsyncResult<Void>> completionHandler)` Delete consumer groups from the cluster.
    `void` | `deleteTopics(List<String> topicNames, Handler<AsyncResult<Void>> completionHandler)` Deletes a batch of Kafka topics
    `void` | `describeCluster(Handler<AsyncResult<ClusterDescription>> completionHandler)` Describe the nodes in the cluster with the default options
    `boolean` | `equals(Object o)`
    `KafkaAdminClient` | `getDelegate()`
    `int` | `hashCode()`
    `void` | `listConsumerGroups(Handler<AsyncResult<List<ConsumerGroupListing>>> completionHandler)` Get the the consumer groups available in the cluster with the default options
    `void` | `listTopics(Handler<AsyncResult<Set<String>>> completionHandler)` List the topics available in the cluster with the default options.
    `static KafkaAdminClient` | `newInstance(KafkaAdminClient arg)`
    `Completable` | `rxClose()` Close the admin client
    `Completable` | `rxClose(long timeout)` Close the admin client
    `Completable` | `rxCreateTopics(List<NewTopic> topics)` Creates a batch of new Kafka topics
    `Completable` | `rxDeleteConsumerGroupOffsets(String groupId, Set<TopicPartition> partitions)` Delete committed offsets for a set of partitions in a consumer group.
    `Completable` | `rxDeleteConsumerGroups(List<String> groupIds)` Delete consumer groups from the cluster.
    `Completable` | `rxDeleteTopics(List<String> topicNames)` Deletes a batch of Kafka topics
    `Single<ClusterDescription>` | `rxDescribeCluster()` Describe the nodes in the cluster with the default options
    `Single<List<ConsumerGroupListing>>` | `rxListConsumerGroups()` Get the the consumer groups available in the cluster with the default options
    `Single<Set<String>>` | `rxListTopics()` List the topics available in the cluster with the default options.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<KafkaAdminClient> __TYPE_ARG

  - ### Constructor Detail

    - #### KafkaAdminClient

          public KafkaAdminClient(KafkaAdminClient delegate)

    - #### KafkaAdminClient

          public KafkaAdminClient(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public KafkaAdminClient getDelegate()

    - #### create

          public static KafkaAdminClient create(Vertx vertx,
                                                Map<String,String> config)

      Create a new KafkaAdminClient instance
      Parameters:
        `vertx` - Vert.x instance to use
        `config` - Kafka admin client configuration
      Returns:
        an instance of the KafkaAdminClient

    - #### listTopics

          public void listTopics(Handler<AsyncResult<Set<String>>> completionHandler)

      List the topics available in the cluster with the default options.
      Parameters:
        `completionHandler` - handler called on operation completed with the topics set

    - #### rxListTopics

          public Single<Set<String>> rxListTopics()

      List the topics available in the cluster with the default options.
      Returns:

    - #### createTopics

          public void createTopics(List<NewTopic> topics,
                                   Handler<AsyncResult<Void>> completionHandler)

      Creates a batch of new Kafka topics
      Parameters:
        `topics` - topics to create
        `completionHandler` - handler called on operation completed

    - #### rxCreateTopics

          public Completable rxCreateTopics(List<NewTopic> topics)

      Creates a batch of new Kafka topics
      Parameters:
        `topics` - topics to create
      Returns:

    - #### deleteTopics

          public void deleteTopics(List<String> topicNames,
                                   Handler<AsyncResult<Void>> completionHandler)

      Deletes a batch of Kafka topics
      Parameters:
        `topicNames` - the names of the topics to delete
        `completionHandler` - handler called on operation completed

    - #### rxDeleteTopics

          public Completable rxDeleteTopics(List<String> topicNames)

      Deletes a batch of Kafka topics
      Parameters:
        `topicNames` - the names of the topics to delete
      Returns:

    - #### listConsumerGroups

          public void listConsumerGroups(Handler<AsyncResult<List<ConsumerGroupListing>>> completionHandler)

      Get the the consumer groups available in the cluster with the default options
      Parameters:
        `completionHandler` - handler called on operation completed with the consumer groups ids

    - #### rxListConsumerGroups

          public Single<List<ConsumerGroupListing>> rxListConsumerGroups()

      Get the the consumer groups available in the cluster with the default options
      Returns:

    - #### close

          public void close()

      Close the admin client

    - #### describeCluster

          public void describeCluster(Handler<AsyncResult<ClusterDescription>> completionHandler)

      Describe the nodes in the cluster with the default options
      Parameters:
        `completionHandler` - handler called on operation completed with the cluster description

    - #### rxDescribeCluster

          public Single<ClusterDescription> rxDescribeCluster()

      Describe the nodes in the cluster with the default options
      Returns:

    - #### deleteConsumerGroups

          public void deleteConsumerGroups(List<String> groupIds,
                                           Handler<AsyncResult<Void>> completionHandler)

      Delete consumer groups from the cluster.
      Parameters:
        `groupIds` - the ids of the groups to delete
        `completionHandler` - handler called on operation completed

    - #### rxDeleteConsumerGroups

          public Completable rxDeleteConsumerGroups(List<String> groupIds)

      Delete consumer groups from the cluster.
      Parameters:
        `groupIds` - the ids of the groups to delete
      Returns:

    - #### deleteConsumerGroupOffsets

          public void deleteConsumerGroupOffsets(String groupId,
                                                 Set<TopicPartition> partitions,
                                                 Handler<AsyncResult<Void>> completionHandler)

      Delete committed offsets for a set of partitions in a consumer group. This will succeed at the partition level only if the group is not actively subscribed to the corresponding topic.
      Parameters:
        `groupId` - The group id of the group whose offsets will be listed
        `partitions` - The set of partitions in the consumer group whose offsets will be deleted
        `completionHandler` -

    - #### rxDeleteConsumerGroupOffsets

          public Completable rxDeleteConsumerGroupOffsets(String groupId,
                                                          Set<TopicPartition> partitions)

      Delete committed offsets for a set of partitions in a consumer group. This will succeed at the partition level only if the group is not actively subscribed to the corresponding topic.
      Parameters:
        `groupId` - The group id of the group whose offsets will be listed
        `partitions` - The set of partitions in the consumer group whose offsets will be deleted
      Returns:

    - #### close

          public void close(Handler<AsyncResult<Void>> completionHandler)

      Close the admin client
      Parameters:
        `completionHandler` - handler called on operation completed

    - #### rxClose

          public Completable rxClose()

      Close the admin client
      Returns:

    - #### close

          public void close(long timeout,
                            Handler<AsyncResult<Void>> completionHandler)

      Close the admin client
      Parameters:
        `timeout` - timeout to wait for closing
        `completionHandler` - handler called on operation completed

    - #### rxClose

          public Completable rxClose(long timeout)

      Close the admin client
      Parameters:
        `timeout` - timeout to wait for closing
      Returns:

    - #### newInstance

          public static KafkaAdminClient newInstance(KafkaAdminClient arg)

Copyright © 2021 Eclipse. All rights reserved.